# Sfida 6 - I ristori
# codifica dell'algoritmo nell'ipotesi A - percorso lineare 


lunghezza = float(input('digita la lunghezza in km del percorso? '))
 
dist1 = lunghezza / 4.0
dist2 = 2 * dist1
dist3 = 3 * dist1
 
dist_tot = 2 * (dist1 + dist2 + dist3)
 
print 'La distanza percorsa complessivamente da Sofia e dai suoi compagni vale ', dist_tot


# simulazione mediante turtle del percorso svolto dal gruppo di Sofia
 
import turtle

linea = 300      # la variabile linea contiene la lunghezza della linea disegnata
 
# disegno di un segmento di lunghezza contenuta in linea che rappresenti il percorso lineare della "Corsa di Primavera"
 
a = turtle.Turtle()             # creazione di una turtle di nome a
a.hideturtle()			# a viene viene nascosta
a.penup()			# a solleva la penna per potersi muovere senza scrivere
a.goto(-linea/2,0)		# a va nel punto di coordinate indicate
a.pendown()			# a abbassa la penna
a.forward(linea)		# a prosegue in avanti per 300 passi tracciando una lineare

# rappresentiamo il gruppo di Sofia con un quadrato
 
t1 = turtle.Turtle()
t1.hideturtle()
t1.shape('square')		# t1 ha la forma di un quadratino
 
# e lo posizioniamo alla partenza della "Corsa di primavera"
 
t1.goto(-linea/2,0)
t1.showturtle()

# calcolo del rapporto di scala per la rappresentazione grafica
rapp = linea/lunghezza
 
 
# il gruppo di Sofia si sposta fino al primo ristoro, un passo alla volta
avanti = 0
while avanti <= dist1*rapp:
    t1.forward(1)
    avanti = avanti + 1
 
# e poi torna alla partenza, un passo alla volta
 
while avanti >= 0:
    t1.forward(-1)
    avanti = avanti - 1

 
 
# il gruppo di Sofia si sposta fino al secondo ristoro
avanti = 0
while avanti <= dist2*rapp:
    t1.forward(1)
    avanti = avanti + 1
 
# e poi torna alla partenza, un passo alla volta
 
while avanti >= 0:
    t1.forward(-1)
    avanti = avanti - 1
 
# il gruppo di Sofia si sposta fino al terzo ristoro
avanti = 0
while avanti <= dist3*rapp:
    t1.forward(1)
    avanti = avanti + 1
 
# e poi torna alla partenza, un passo alla volta
 
while avanti >= 0:
    t1.forward(-1)
    avanti = avanti - 1


 

